
# Interface: IGalleryItem

Provides properties for a gallery item.

## Hierarchy

* **IGalleryItem**

## Index

### Properties

* [data](igalleryitem.md#data)
* [name](igalleryitem.md#name)
* [previewUrl](igalleryitem.md#previewurl)
* [title](igalleryitem.md#title)

## Properties

###  data

• **data**: *any*

A JSON object containing arbitrary data associated with this image.

___

###  name

• **name**: *string*

A unique _machine-readable_ name.

___

###  previewUrl

• **previewUrl**: *string*

A URL to the image to display.

___

###  title

• **title**: *string*

A display name of an item.
